ru.bitel.bgbilling.kernel.event

## Class PoolEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ContractBalanceChangedEvent, ContractStatusModifiedEvent, InetAccountingEvent, InetAccountingPeriodModifiedEvent, InetConnectionAliveEvent, InetDeviceUptimeEvent, IpResourceSubscriptionEvent

      public abstract class PoolEvent
      extends Event

  Событие, которое может случаться много раз в течении короткого промежутка времени, например 100-500 раз в секунду и для которого не важно, если будет задержка в отправке/получении.
  Такие события инкапсулируются в одно, которое и отправляется, поэтому для таких событий не работает дополнительный запрос, а moduleId задается в отправителе, а не в самом объекте. `

         PoolEventPublisher publisher = EventProcessor.getInstance().newPoolEventPublisher( PoolEvent.class, 3 );
         publisher.publish( new PoolEvent( publisher, 455, -1, 0 ) );
         publisher.publish( new PoolEvent( publisher, 456, -1, 0 ) );

  `
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PoolEvent()`
    `` | `PoolEvent(int moduleId, int contractId, int userId)`
    `` | `PoolEvent(PoolEventPublisher<?> publisher, int contractId, int userId)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PoolEvent

          protected PoolEvent()

    - #### PoolEvent

          public PoolEvent(PoolEventPublisher<?> publisher,
                           int contractId,
                           int userId)

    - #### PoolEvent

          public PoolEvent(int moduleId,
                           int contractId,
                           int userId)